漏洞信息详情

LibRaw 缓冲区错误漏洞

  • CNNVD编号:CNNVD-202006-1772
  • 危害等级: 中危
  • CVE编号: CVE-2020-15365
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2020-06-28
  • 威胁类型: 远程
  • 更新时间: 2020-07-07
  • 厂        商:
  • 漏洞来源:

漏洞简介

LibRaw是LibRaw团队的一个用来处理RAW(CRW/CR2、NEF、RAF、DNG和others)格式图片的C++库。

LibRaw 0.20-Beta3之前版本中的metadataexif_gps.cpp文件的‘parse_exif()’函数存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/LibRaw/LibRaw/commit/55f0a0c08974b8b79ebfa7762b555a1704b25fb2

参考网址

来源:MISC

链接:https://github.com/LibRaw/LibRaw/compare/0.20-Beta2...0.20-Beta3

来源:MISC

链接:https://github.com/LibRaw/LibRaw/issues/301

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2020-15365

来源:www.nsfocus.net

链接:http://www.nsfocus.net/vulndb/47034

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多